Results 1 to 13 of 13

Thread: XTS3000 Issues With Encryption Modules - Help Needed

  1. #1
    Join Date
    Apr 17, 2012
    Location
    Melbourne, Australia
    Posts
    85
    Thanks
    28
    Thanked 3 Times in 3 Posts
    Country: Australia

    Default XTS3000 Issues With Encryption Modules - Help Needed

    Good Morning from cold old Melbourne, Australia

    A few months back I purchased 6 encryption 0105956V67 boards from a user on Batlabs for installation in my XTS3000's

    The local M shop have just rung me to advise that 3 of the boards have firmware v3.53 and 1 has v3.51 and 2 had v3.55

    The v3.55's are working fine can have a key loaded and work in the radio, the lower firmwares won't talk to the KVL3000 (DES XL/DES OFB algos)

    The XTS3k's all have the same firmware and host and flash. I have been assured by the user here that he had used them all as per this quote "I've keyloaded all of those boards with a T3011DX KVL, so I know that works."

    I have asked the person I purchased these from and he has limited knowledge and it has been suggested that I ask the questions here on P25 as this is the best group of helpful people going around.

    My XTS3k's all have the same firmware/dsp which is R.05.60.00 and N6.05.02

    Any clues on getting firmware upgrades for the modules or other workarounds as the M shop has put it back to me.

    I have had a suggestion that I could try upgrading the XTS's firmware, but the M shop say they can't do that for me. The bit I don't get is that the highest firmware encryption modules work, it is the lower firmwares that don't... That bit doesn't seem to make sense I would have thought it would be the other way around... But I am a newbie to the whole world of encryption modules in Mother M radios.

    If someone can provide some expert direction that would be appreciated. I don't have enough hair to pull much more out

    Thanks in advance
    Mike


  2. #2
    Join Date
    Feb 12, 2012
    Location
    Directly above the center of the earth.
    Posts
    2,539
    Thanks
    550
    Thanked 1,112 Times in 579 Posts
    Country: Christmas Island

    Default

    You have a pretty old HOST/DSP revision, that older firmware didn't support CKR, which is the "newer" way of indexing keys. Those modules would probably work as-is with an older T-3011DX type KVL, but since that firmware doesn't support CKR, it won't know quite how to deal with the newer APCO P-25 way of indexing keys. Once you have the newer firmware, you can choose to turn CKR on and off in the radio-wide secure screens.

    Note, you might need to turn off ASTRO OTAR to be able to turn CKR on or off, otherwise it's ON by default. Turning it off is handy for newer firmware radios to be backward compatible with older Rev 2.xx UCM's and 1.xx ECM Secure Modules.

    P.S. Also, note going from DSP 6 to DSP 8, will make your audio a HELL of a LOT better! You'll have advanced AGC and tone controls not available to you now.

  3. #3
    Join Date
    Apr 09, 2012
    Location
    Australia
    Posts
    801
    Thanks
    162
    Thanked 390 Times in 169 Posts
    Country: Australia

    Default

    Like i said on the other forum, bump up your XTS3000s firmware then try again. EMC 3.xx was never meant to work with radios that are pre 7.xx HOST version.

  4. #4
    Join Date
    Apr 17, 2012
    Location
    Melbourne, Australia
    Posts
    85
    Thanks
    28
    Thanked 3 Times in 3 Posts
    Country: Australia

    Default

    Hi Matt, no issue with your advice, problem is I haven't found anyone in Oz yet that can do the bump for me. If you know someone or you can do it please let me know. I received an email from a someone here that suggested that I may be able to bump the firmware in the modules themselves rather than the xts's

  5. #5
    Join Date
    Apr 17, 2012
    Location
    Melbourne, Australia
    Posts
    85
    Thanks
    28
    Thanked 3 Times in 3 Posts
    Country: Australia

    Default

    SO I will add, I guess my bigger problem now is, is there someone in Australia that can do a firmware uplift for me on 6 x XTS3000's - happy to pay, not looking for freebies or favours but I do want someone that knows what they are doing. Any help appreciated

  6. #6
    Join Date
    Dec 21, 2011
    Posts
    4,130
    Thanks
    2,772
    Thanked 4,928 Times in 1,468 Posts
    Country: Canada

    Default

    mrtor: Indeed, the host firmware is your problem. 100% guaranteed. I have a Moto document around here somewhere (hope to find?) which has these requirements listed. The UCM needs firmware version R07.01.00 or NEWER to function.

    Disregard all advice you received on Batboard; unfortunately some people just are not versed or experienced enough to give you proper advice. (My statement does not apply to MattSR) The UCM firmware itself has nothing to do with your problem. R03.5x will work just fine.

    If you are interested in sending your radios to Canada, I can bump them for $50 CAD (AUD and CAD are almost at-par) each. I realize the cost of shipping may be prohibitive. If you can find someone in Australia who can help, that would probably be your best bet.

    The latest (and final) firmware release for the XTS3000 is Host: R07.71.07, and DSP N08.03.05 (IMBE)

    Cheers from Canada.

  7. #7
    Join Date
    Apr 09, 2012
    Location
    Australia
    Posts
    801
    Thanks
    162
    Thanked 390 Times in 169 Posts
    Country: Australia

    Default

    If you're happy to send them to Sydney I can arrange firmware for you

    PM me for info.

  8. #8
    Join Date
    Apr 17, 2012
    Location
    Melbourne, Australia
    Posts
    85
    Thanks
    28
    Thanked 3 Times in 3 Posts
    Country: Australia

    Default

    Quote Originally Posted by Mars View Post
    mrtor: Indeed, the host firmware is your problem. 100% guaranteed. I have a Moto document around here somewhere (hope to find?) which has these requirements listed. The UCM needs firmware version R07.01.00 or NEWER to function.

    Disregard all advice you received on Batboard; unfortunately some people just are not versed or experienced enough to give you proper advice. (My statement does not apply to MattSR) The UCM firmware itself has nothing to do with your problem. R03.5x will work just fine.

    If you are interested in sending your radios to Canada, I can bump them for $50 CAD (AUD and CAD are almost at-par) each. I realize the cost of shipping may be prohibitive. If you can find someone in Australia who can help, that would probably be your best bet.

    The latest (and final) firmware release for the XTS3000 is Host: R07.71.07, and DSP N08.03.05 (IMBE)

    Cheers from Canada.
    Thanks for that Mars, yes I have received some interesting advice from batboards users :-)

    I have just sent MattSR a PM, if we can't sort something out I will be back in touch with your good self.

    In Melbourne today it is possibly as cold as your Canadian Winters...... I feel like a penguin

  9. #9
    Join Date
    Apr 09, 2012
    Location
    Australia
    Posts
    801
    Thanks
    162
    Thanked 390 Times in 169 Posts
    Country: Australia

    Default

    All 6 radios have been upgraded to Host 7.71.xx and now work fine. I keyloaded the 6 radios with a test key and it worked perfectly.

  10. #10
    Join Date
    Apr 17, 2012
    Location
    Melbourne, Australia
    Posts
    85
    Thanks
    28
    Thanked 3 Times in 3 Posts
    Country: Australia

    Default

    Quote Originally Posted by MattSR View Post
    All 6 radios have been upgraded to Host 7.71.xx and now work fine. I keyloaded the 6 radios with a test key and it worked perfectly.
    You are a champion thank you Matt. Next time I will ask you a question FIRST :-)

    Cheers
    Mike

  11. #11
    Join Date
    Apr 09, 2012
    Location
    Australia
    Posts
    801
    Thanks
    162
    Thanked 390 Times in 169 Posts
    Country: Australia

    Default

    No worries, although I'm no guru

    Its probably better to ask out here and get the benefit of many people helping out - many hands make light work.. Also troubleshooting in the forums gives others the chance to learn from our posts as well..

  12. #12
    dgower No Longer Registered

    Default

    I have an XTS3000 with FW 6.72/08.03.05, it has an XL/OFB/AES module in it that worked fine in a 7.71.06 radio, but now that it's in the 6.72, it does not show the AES, only the XL and OFB algorithms. Is the older (but required for 9600) firmware the reason AES is not showing? The XL and OFB work, I was just hoping to use AES for this project. (The module is 3.55)

  13. #13
    Join Date
    Dec 21, 2011
    Posts
    4,130
    Thanks
    2,772
    Thanked 4,928 Times in 1,468 Posts
    Country: Canada

    Default

    https://www.p25.ca/threads/633-ASTRO...ing%29-Support

    The firmware itself does not support KG3, or AES-256. It's a limitation which was never addressed by Moto. Sorry man; I know how much it sucks not having AES-256.

    If you need AES on a 9600 system, you'll have to look at the ASTRO25 or APX series radios.